ニュースを検索する
curl --request GET \
--url https://api.x.com/2/news/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/news/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/news/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"rest_id": "2244994945",
"category": "<string>",
"cluster_posts_results": [
{
"post_id": "1346889436626259968"
}
],
"contexts": {
"entities": {
"events": [
"<string>"
],
"organizations": [
"<string>"
],
"people": [
"<string>"
],
"places": [
"<string>"
],
"products": [
"<string>"
]
},
"finance": {
"tickers": [
"<string>"
]
},
"sports": {
"teams": [
"<string>"
]
},
"topics": [
"<string>"
]
},
"disclaimer": "<string>",
"hook": "<string>",
"keywords": [
"<string>"
],
"last_updated_at_ms": "2025-7-14T04:35:55Z",
"name": "<string>",
"summary": "<string>"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}ニュース
ニュースを検索する
指定した検索クエリに一致するニュース記事のリストを取得します。
GET
/
2
/
news
/
search
ニュースを検索する
承認
BearerTokenOAuth2UserToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
クエリパラメータ
検索クエリ。
Required string length:
1 - 2048例:
"crypto"
返される結果数。
必須範囲:
1 <= x <= 100検索対象とするニュース記事の最大経過期間。
必須範囲:
1 <= x <= 720取得する News フィールドをカンマ区切りで指定します。 News オブジェクトで使用できるフィールドです。
Minimum array length:
1利用可能なオプション:
category, cluster_posts_results, contexts, disclaimer, hook, id, keywords, name, summary, updated_at 例:
[
"category",
"cluster_posts_results",
"contexts",
"disclaimer",
"hook",
"id",
"keywords",
"name",
"summary",
"updated_at"
]
レスポンス
リクエストは成功しました。
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I